#!/bin/bash
# ==================================================================
# Calculates the moving average of each column in a file
# Usage:moving_average datafile blocksize[can ommit, default=100]
# ==================================================================

awk -v blocksize=$2 -v records=$records '
  BEGIN {
    if(blocksize == "") blocksize = 100
    sum = 0
  }
  NF { # ignore empty records
    for(f = 1; f <= NF; f++) {
      if(NR == 0) MA[f] = 0
      i = NR % blocksize
      MA[f] += ($f - Z[f, i]) / blocksize
      Z[f, i] = $f
      if(NR > blocksize) {
        printf "%.4f ", MA[f]
      }
    }
    if(NR > blocksize) print ""
  }
' $1