#!/bin/bash                                                                                                 
# Need to have water_box.inp and stdout in the folder you're calling the script from                  
# p_xx p_xy p_xz p_yx p_yy p_yz p_zx p_zy p_zz                                                              

# The name of the file you stored the stdout of the run
stdout_file="stdout"

# check this grabs the correct rhokT. Depends on the version of the code used
rhokT=`grep "rhokT =" $stdout_file | head -n1 | awk '{print $11}'`
Lz=`grep box water_box.inp | awk '{print $4}'`

awk -v rhokT=$rhokT -v Lz=$Lz '
    NF { # ignore empty records                                                                             
        p_xx = $1                                                                                           
        p_yy = $5                                                                                           
        p_zz = $9                                                                                           
                                                                                                            
        surface_tension = -(Lz / 2) * 100 * rhokT * (p_zz - (p_xx + p_yy) / 2)   
	print surface_tension
    }
' $1
